App saying it's incompatible when I have already installed in the past

Printable View